Subject: Re: linux-next: build failure after merge of the btrfs-fixes tree

From: David Sterba <[email-masked]>
Date: Mon, 18 Mar 2024 18:31:00 +0100

On Mon, Mar 18, 2024 at 09:17:55AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the btrfs-fixes tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/btrfs/volumes.c: In function 'btrfs_scan_one_device':
> fs/btrfs/volumes.c:1413:55: error: 'bdev_handle' undeclared (first use in this function)
>  1413 |         if (btrfs_skip_registration(disk_super, path, bdev_handle->bdev->bd_dev,
>       |                                                       ^~~~~~~~~~~
> fs/btrfs/volumes.c:1413:55: note: each undeclared identifier is reported only once for each function it appears in
> 
> Caused by commit
> 
>   cc019bc0d55b ("btrfs: do not skip re-registration for the mounted device")
> 
> I have used the btrfs-fixes tree from next-20240315 for today.
> 
> This is actually caused by an interaction with commit
> 
>   9ae061cf2a46 ("btrfs: port device access to file")
> 
> which has been in Linus' tree since March 12 (and linux-next since Feb 26).

I would really appreciate if all infrastructure changes to btrfs code
have CC:linux-btrfs@, the whole series "Open block devices as files" has
never been CCed so the build breakage is noticed only by accident. Also
I wonder why I have to repeatedly ask for that and why people think that
doing broad changes to code maintained by somebody else is ok.

There are 26 patches in linux-next intersecting fs/btrfs most of which I
see for the first time now. I don't have time to read fsdevel@ regularly
and act rather on events (i.e. CC or mails).

VFS is in the center of many other subsystems I understand that adding
the CC: manually is not feasible but scripting "if $path add CC:$subsys"
should be doable, namely when it's not just one-time job. Please try to
find some middle ground between efforts and patch workflow sanity.
Thanks for understanding.